import CourseList from "@web/src/components/models/course/list/CourseList";
import { useAuth } from "@web/src/providers/auth-provider";
import { useMainContext } from "../layout/MainProvider";

export default function MyLearningPage() {
	const { user } = useAuth();
	const { searchCondition } = useMainContext();
	return (
		<>
			<div className="p-4">
				<CourseList
					params={{
						pageSize: 12,
						where: {
							students: {
								some: {
									id: user?.id,
								},
							},
							...searchCondition,
						},
					}}
					cols={4}></CourseList>
			</div>
		</>
	);
}
